Skip to main content
GET
/
formations
/
{formation_id}
/
documents
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.formationDocuments.list({
    formationId: "<id>",
  });

  console.log(result);
}

run();
curl --request GET \
--url https://api.crevio.co/v1/formations/{formation_id}/documents \
--header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/formations/{formation_id}/documents"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/formations/{formation_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "name": "<string>",
      "content_type": "<string>",
      "doola_created_at": "<string>",
      "doola_last_modified_at": "<string>",
      "doola_company_id": "<string>",
      "download_url": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}
{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

formation_id
string
required

Response

List of documents

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required